<h1>Rick and Morty - <small>Characters</small></h1>
<hr>
<ng-container *ngIf="data">
  <div class="row row-cols-1 row-cols-md-4 g-4">
    <ng-container *ngFor="let character of data?.results">
      <div class="col">
        <div class="card h-100">
          <img src="{{character.image}}" class="card-img-top"
               alt="{{character.name}}"/>
          <div class="card-body">
            <h3 class="card-title">{{character.name}}</h3>
            <h5 class="card-title">{{character.species}}</h5>
            <div class="card-title">
              {{character.status}}
              <img src="assets/img/alive.jpg" width="30" height="30" alt="" *ngIf="character.status == 'Alive'">
              <img src="assets/img/death.png" width="30" height="30" alt="" *ngIf="character.status == 'Dead'">
              <img src="assets/img/unknown.png" width="30" height="30" alt="" *ngIf="character.status == 'unknown'">
            </div>
            <button (click)="showDetail(character)" type="button" class="btn btn-outline-primary btn-block">Details</button>
          </div>
        </div>
      </div>
    </ng-container>
  </div>
</ng-container>

<mat-paginator
  (page)="changePageHandler($event)"
  [length]="data?.info?.count"
  [pageSize]="20">
</mat-paginator>
